import request from '@/utils/request'

// 采购订单列表
export function apiPurchaseOrderLists(params: any) {
    return request.get({ url: '/purchase_order/purchaseorder/lists', params })
}
// 采购订单详情列表
export function apiPurchaseOrderInfoLists(params: any) {
    return request.get({ url: '/purchase_order/purchaseorder/info_lists', params })
}
// 采购订单详情列表
export function apiPurchaseStoreOrderLists(params: any) {
    return request.get({ url: '/purchase_order/purchaseorder/order_lists', params })
}

// 添加采购订单
export function apiPurchaseOrderAdd(params: any) {
    return request.post({ url: '/purchase_order/purchaseorder/add', params })
}
// 添加采购订单平台
export function apiPurchaseOrderPlatform(params: any) {
    return request.post({ url: '/purchase_order/purchaseorder/platform', params })
}
// 编辑采购订单
export function apiPurchaseOrderEdit(params: any) {
    return request.post({ url: '/purchase_order/purchaseorder/edit', params })
}

// 删除采购订单
export function apiPurchaseOrderDelete(params: any) {
    return request.post({ url: '/purchase_order/purchaseorder/delete', params })
}

// 采购订单详情
export function apiPurchaseOrderDetail(params: any) {
    return request.get({ url: '/purchase_order/purchaseorder/detail', params })
}
